function [F,Nfix] = LoadFMap(fname,conversionFactor)

F = load(fname);

i = find((F(:,2) ~= 0) | F(:,3) ~= 0 );
Nfix = numel(i);

k = 0;
for i = 1:size(F,1)
    F(i,1) = k;
    if ( (  F(i,2) ~= 0 ) || ( F(i,3) ~= 0 ) )
        k = k+1;
    end
end

F(:,2) = F(:,2) * conversionFactor;
F(:,3) = F(:,3) * conversionFactor;