function [newmu,newsigma] = update_mu_sigma(theta,x,V,uv,uw,measurements,c,mu,sigma,dt,numIter,Q,fixed) 

n = numel(theta);
newsigma = zeros(n);

theta = 0.999 * theta;

D1 = theta(1)/10000;
D2 = theta(2)/10000;



theta1 = [theta(1) theta(2)-D2 ]';
theta2 = [theta(1) theta(2)-2*D2 ]';

l2 = marginalize_pi(theta',x,V,uv,uw,measurements,c,mu,sigma,dt,numIter,Q,fixed);
l1 = marginalize_pi(theta1',x,V,uv,uw,measurements,c,mu,sigma,dt,numIter,Q,fixed);
l = marginalize_pi(theta2',x,V,uv,uw,measurements,c,mu,sigma,dt,numIter,Q,fixed);

d = abs(l2-2*l1+l)/(D2^2);

if ( d == 0 )
    newsigma(2,2) = 100000;
else
    newsigma(2,2) = max(0.01^2,1/d);
  %newsigma(2,2) = max(0.01^2,0);
end


theta1 = [theta(1)-D1 theta(2) ]';
theta2 = [theta(1)-2*D1 theta(2) ]';

l2 = marginalize_pi(theta',x,V,uv,uw,measurements,c,mu,sigma,dt,numIter,Q,fixed);
l1 = marginalize_pi(theta1',x,V,uv,uw,measurements,c,mu,sigma,dt,numIter,Q,fixed);
l = marginalize_pi(theta2',x,V,uv,uw,measurements,c,mu,sigma,dt,numIter,Q,fixed);

d = abs(l2-2*l1+l)/(D1^2);

if ( d == 0 )
    newsigma(1,1) = 100000;
else
    newsigma(1,1) = max(0.01^2,1/d);
  %newsigma(1,1) = max(0.01^2,0);
end

    
newmu = theta;
