function [newmu,newsigma] = update_mu_sigma(cvstim,x,V,uv,uw,measurements,c,mu,sigma,dt,numIter,alpha) 

cvstim = cvstim * 0.999;
maxnum = cvstim / 1000;

theta = cvstim;
theta1 = cvstim - maxnum;
theta2 = cvstim - 2*maxnum;

%theta1 = [theta(1)-D1 theta(2) theta(3) theta(4)]';
%theta2 = [theta(1)-2*D1 theta(2) theta(3) theta(4)]';

l2 = marginalize_pi(theta,x,V,uv,uw,measurements,c,mu,sigma,dt,numIter,alpha);
l1 = marginalize_pi(theta1,x,V,uv,uw,measurements,c,mu,sigma,dt,numIter,alpha);
l = marginalize_pi(theta2,x,V,uv,uw,measurements,c,mu,sigma,dt,numIter,alpha);

d = abs(l2-2*l1+l)/(maxnum^2);

if ( d == 0 )
    newsigma = 100000;
else
    newsigma = max(0.01^2,1/d);
end

newmu = cvstim;