function [alphastim,fval] = EstimateCV(x3,V3,uv,uw,measurement,c,mu,sigma,alpharot,dt,numIter,options,Q,fixed,trials)

fvals = zeros(trials,1);
alphastims = zeros(numel(mu),trials);

divider = 10^((trials-1)/2);

for i = 1:trials

    [alphastims(:,i),fvals(i)] = fminsearch('marginalize_pi',mu*divider,options,x3,V3,uv,uw,measurement,c,mu,sigma,alpharot,dt,numIter,Q,fixed); 
    divider = divider/10;
    
end


[M,I] = min(fvals);

alphastim = alphastims(:,I(1));
fval = fvals(I(1));